/**
 * 
 */
package jp.co.cybec.laxide.layout;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.PointList;

/**
 * ２段組レイアウトの座標を提供するクラス
 * 
 * @author tokumaru
 *
 */
public class LetsAjax2ColumnLayoutPoints extends AbstractLayoutPoints {
    /** sideleft領域のスタートポイント */
	private Point sideleftStartPoint = null;
	
	/** sideleft領域のエンドポイント */
	private Point sideleftEndPoint = null;
	
	/** コンテンツ領域のスタートポイント */
	private Point contentsStartPoint = null;
	 
	/** コンテンツ領域のエンドポイント */
	private Point contentsEndPoint = null;
	
	/** IDE上にレイアウトを描画するためのポイントリスト */
	private PointList pointlist = null;
	
	/**
	 * コンストラクタ。
	 * この２段組のレイアウトを描画するために必要となる座標の初期値の設定を行います。
	 */
	public LetsAjax2ColumnLayoutPoints() {
		sideleftStartPoint = new Point(0, 0);
		sideleftEndPoint = new Point(150, 500);
		contentsStartPoint = new Point(150, 0);
		contentsEndPoint = new Point(500, 500);
		
		pointlist = new PointList();
		pointlist.addPoint(new Point(10,10));
		pointlist.addPoint(new Point(510,10));
		pointlist.addPoint(new Point(510,510));
		pointlist.addPoint(new Point(10,510));
		pointlist.addPoint(new Point(10,10));
		pointlist.addPoint(new Point(160,10));
		pointlist.addPoint(new Point(160,510));
	}
	
	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getContentsEndPoint()
	 */
	@Override
	public Point getContentsEndPoint() {
		return contentsEndPoint;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getContentsStartPoint()
	 */
	@Override
	public Point getContentsStartPoint() {
		return contentsStartPoint;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getFooterEndPoint()
	 */
	@Override
	public Point getFooterEndPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getFooterStartPoint()
	 */
	@Override
	public Point getFooterStartPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getHeaderEndPoint()
	 */
	@Override
	public Point getHeaderEndPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getHeaderStartPoint()
	 */
	@Override
	public Point getHeaderStartPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getPointList()
	 */
	@Override
	public PointList getPointList() {
		return pointlist;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideLeftEndPoint()
	 */
	@Override
	public Point getSideLeftEndPoint() {
		return sideleftEndPoint;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideLeftStartPoint()
	 */
	@Override
	public Point getSideLeftStartPoint() {
		return sideleftStartPoint;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideRightEndPoint()
	 */
	@Override
	public Point getSideRightEndPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (non-Javadoc)
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideRightStartPoint()
	 */
	@Override
	public Point getSideRightStartPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

}
